#include "light.h"

/*

#!/usr/bin/python

from math import *
from sys import stdout

# We want 0 at light=0 and 255 at light=LIGHT_MAX
LIGHT_MAX = 15

L = []
for i in range(1,LIGHT_MAX+1):
    L.append(int(round(255.0 * 0.69 ** (i-1))))
	L.append(0)

L.reverse()
for i in L:
	stdout.write(str(i)+",\n")

*/

u8 decode_table[LIGHT_MAX+1] = 
{
0,
1,
2,
3,
4,
6,
9,
13,
19,
28,
40,
58,
84,
121,
176,
255,
};

u8 decode_light(u8 light)
{
	if(light == LIGHT_SUN)
		return decode_table[LIGHT_MAX];
	
	if(light > LIGHT_MAX)
		throw;
	
	return decode_table[light];
}

