#ifndef CLIENTSERVER_HEADER
#define CLIENTSERVER_HEADER

#define PROTOCOL_ID 0x4f457403

enum ToClientCommand
{
	TOCLIENT_INIT=0x10,
	TOCLIENT_BLOCKDATA=0x20,
	TOCLIENT_ADDNODE,
	TOCLIENT_REMOVENODE,
	TOCLIENT_PLAYERPOS,
	TOCLIENT_PLAYERINFO,
	TOCLIENT_OPT_BLOCK_NOT_FOUND, //TODO
};

enum ToServerCommand
{
	TOSERVER_INIT=0x10,
	TOSERVER_GETBLOCK=0x20,
	TOSERVER_ADDNODE,
	TOSERVER_REMOVENODE,
	TOSERVER_PLAYERPOS,
	// Was PLAYERINFO. Deprecated because info is sent at initialization.
	TOSERVER_DEPRECATED1
};

// Flags for TOSERVER_GETBLOCK
#define TOSERVER_GETBLOCK_FLAG_OPTIONAL (1<<0)

#endif

