#ifndef CONSTANTS_HEADER
#define CONSTANTS_HEADER

#define PI 3.14159

#define SERVERMAP_DELETE_UNUSED_SECTORS_TIMEOUT (60*10)
#define SERVER_MAP_SAVE_INTERVAL (60)

//#define SERVERMAP_DELETE_UNUSED_SECTORS_TIMEOUT (5)
//#define SERVER_MAP_SAVE_INTERVAL (5)

#define FOV_ANGLE (PI/2.5)

// The absolute working limit is (2^15 - viewing_range).
#define MAP_GENERATION_LIMIT (31000)

// Client uses this.
//TODO: When compression is used, this can be raised.
//TODO: This has to be a bit low for the client to be able to
//      change the place where it is fetching stuff. Otherwise,
//      when moving near map borders, it will load new stuff
//      very slowly.

//#define MAX_SIMULTANEOUS_BLOCK_FETCHES 3
#define MAX_SIMULTANEOUS_BLOCK_FETCHES 7

// Viewing range stuff

/*#define FPS_MIN 19
#define FPS_MAX 27
#define FPS_OPTIMAL ((FPS_MIN+FPS_MAX)/2)*/
#define FPS_DEFAULT 30

#define VIEWING_RANGE_NODES_MIN (MAP_BLOCKSIZE)
#define VIEWING_RANGE_NODES_DEFAULT 60
//#define VIEWING_RANGE_NODES_MAX 120
#define VIEWING_RANGE_NODES_MAX 500

#define FORCEDFETCH_RANGE 80

// The freetime ratio is dynamically kept high enough to make this
// dtime jitter possible
// Allow 50% = 0.1
/*#define DTIME_JITTER_MAX_FRACTION 0.5
#define FREETIME_RATIO_MIN 0.05
#define FREETIME_RATIO_MAX 0.4*/

#define FREETIME_RATIO 0.2

#endif

